#!/usr/bin/perl
#
## block_delete.pl
#
## With this trigger in place, if changelists have file deletes
## the submit will be rejected.
#
#Triggers:
#        blockdelete change-submit //depot/... "/home/user/scripts/block_delete.pl %changelist%"
#

my $p4 = "p4 -p localhost:1666";
my $changenum = $ARGV[0];  # variable %changelist% in trigger table

# Run "p4 -Ztag describe $change" and look for any "delete" actions.
open ( DESC, "$p4 -Ztag describe $changenum | grep 'action' | grep 'delete' |" ) or die "Unable to run command.";
while (<DESC>)
{
    if ( $_ )
    {
      print "The changelist cannot have deleted files attached.";
      exit 1;
    }
    else
    {
     exit 0;
    }
}
